Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface LogRecordHandler

public interface LogRecordHandler

A function to process application-specific log records.

Method Summary
`int` | `handleLogRecord(Environment environment, DatabaseEntry logRecord, LogSequenceNumber lsn, RecoveryOperation operation)`

Method Detail

### handleLogRecord

    public int handleLogRecord(Environment environment,
                               DatabaseEntry logRecord,
                               LogSequenceNumber lsn,
                               RecoveryOperation operation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.